/*	Copyright (C) 2018-2024 Martin Guy <martinwguy@gmail.com>
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * r_cache.h: Declarations for r_cache.c
 */

#ifndef R_CACHE_H

#include "calc.h"

extern calc_t *remember_result(calc_t *result);
extern calc_t *recall_result(frames_t t, freq_t fftfreq,
			     window_function_t window);
extern void	drop_all_results(void);
extern void	print_result_cache_stats(void);

#define R_CACHE_H
#endif
